import setuptools
import os

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

with open("README.md", "r") as fh:
    long_description = fh.read()

install_requirements = [
    "django>=1.8",
]

setuptools.setup(
    name="django-permalinks",
    version="0.1.3",
    install_requires=install_requirements,
    license='MIT License',
    author="Aekansh Dixit",
    author_email="aekanshdixit@gmail.com",
    description="A Django App to make sure old URLs work with new URLs.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/aekanshd/django-permalinks",
    packages=setuptools.find_packages(),
    package_data={'': ['templates/admin/url_shortner_script.html']},
    include_package_data=True,
    classifiers=[
        "Environment :: Web Environment",
        "Framework :: Django",
        "Framework :: Django :: 1.8",
        "Framework :: Django :: 1.9",
        "Framework :: Django :: 1.10",
        "Framework :: Django :: 1.11",
        "Framework :: Django :: 2.0",
        "Framework :: Django :: 2.1",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
    ],
)
